package com.sd.business.entity.bom.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * bom
 * </p>
 *
 * @author
 * @since 2023-12-04
 */
@Getter
@Setter
@TableName("bom")
public class Bom extends BasePo {

    /**
     * bom分类id
     */
    private Long bomClassifyId;

    /**
     * 品号
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 项目小类 字典:bom_itemSubclass
     */
    private String itemSubclass;

    /**
     * 种类 字典:bom_species
     */
    private String species;

    /**
     * 材质
     */
    private String material;

    /**
     * 型号
     */
    private String modelNumber;

    /**
     * 单位
     */
    private String unit;

    /**
     * 角度 字典:bom_angle
     */
    private String angle;

    /**
     * 配方
     */
    private String formula;

    /**
     * 压纹工艺 字典:bom_embossingProcess
     */
    private String embossingProcess;

    /**
     * 详细描述
     */
    private String detailText;

}
